JDK10 build problem: "--module-path"?

Martin Buchholz martinrb at google.com
Thu Feb 15 16:50:05 UTC 2018


Looking at
https://packages.ubuntu.com/search?suite=all&section=all&arch=any&keywords=openjdk-9-jdk&searchon=names
it seems like Ubuntu ships whatever openjdk-9 is available at time of
creation of a specific version, and doesn't update it afterwards, not even
for the quarterly security patches.

On Thu, Feb 15, 2018 at 7:42 AM, Erik Joelsson <erik.joelsson at oracle.com>
wrote:

> I have hit this same problem once for the same reason Alan describes.
> Ubuntu provided me with a really old EA build of 9.
>
> /Erik
>
>
>
> On 2018-02-15 00:05, Alan Bateman wrote:
>
>>
>>
>> On 15/02/2018 06:32, Ted Neward wrote:
>>
>>> Really?!? I thought the javac -help only listed -modulepath. Not to
>>> disbelieve you *grin*, but are you sure? The reason I ask is (barring some
>>> really bizarre misconfiguration) I should be using the OpenJDK9 as the boot
>>> JDK for this, and I'm getting the error.
>>>
>>> What is your boot JDK? Any possibility that you have really old EA build
>> of JDK 9?
>>
>
>


More information about the build-dev mailing list